Crear conexión manual de TikTok
POST
/tiktok/connections
const url = 'https://api.matiasimpulso.com/tiktok/connections';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"TikTok Oficial","handle":"@miempresa","openId":"tt_open_id_123456","accessToken":"act.tiktok_access_token_xyz","webhookSecret":"whsec_tiktok_optional","authMode":"oauth","agentId":1,"enableAutoReply":true,"routerMode":"single","connectedAgentIds":[]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.matiasimpulso.com/tiktok/connections \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "TikTok Oficial", "handle": "@miempresa", "openId": "tt_open_id_123456", "accessToken": "act.tiktok_access_token_xyz", "webhookSecret": "whsec_tiktok_optional", "authMode": "oauth", "agentId": 1, "enableAutoReply": true, "routerMode": "single", "connectedAgentIds": [] }'Registra una nueva conexión de TikTok Business con credenciales manuales y configuración de enrutamiento de agentes de IA.
Authorizations
Sección titulada « Authorizations »Request Bodyrequired
Sección titulada « Request Bodyrequired » Media type application/json
object
name
required
string
Example
TikTok Oficial handle
required
string
Example
@miempresa openId
required
string
Example
tt_open_id_123456 accessToken
required
string
Example
act.tiktok_access_token_xyz webhookSecret
string
Example
whsec_tiktok_optional authMode
string
agentId
number
Example
1 enableAutoReply
boolean
routerMode
string
connectedAgentIds
Array<number>
Responses
Sección titulada « Responses »Conexión de TikTok creada exitosamente.
Datos de entrada inválidos.
No autenticado o token JWT inválido.
Sin permisos para administrar conexiones o empresa pendiente de verificación.